For the complete documentation index, see llms.txt. This page is also available as Markdown.

Proposal history

Search proposal versions

get

Search proposal versions

Path parameters
proposalIdstringRequired

The unique merchant proposal id

Query parameters
Pageinteger · max: 9999Required

The page at which the proposal versions should be returned

Default: 0
Limitinteger · min: 1 · max: 100Required

The maximum number of proposal versions to return

Default: 10
HasStatusCommentstringOptional

Filters the history version by statusComment field. It can be "true" or "false"

Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Responses
200

OK

application/json
pageintegerRequired

The incoming page value

Example: 0
limitintegerRequired

The incoming limit value

Example: 10
countintegerRequired

The total number of proposal versions matching the criterias

Example: 1
get
/proposals/{proposalId}/history
200

OK

Retrieve a proposal version

get

Retrieve a proposal version

Path parameters
proposalIdstringRequired

The unique merchant proposal id

versionNumberinteger · min: 1Required

The proposal version

Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Responses
200

OK

application/json
ProposalIdstringRequired

The unique merchant proposal id

Example: FDG123
VersionintegerRequired

The version of the proposal. Every modification increments the version by 1.

Example: 1
CreatedDatestring · date-timeRequired

The UTC creation date for the proposal in ISO 8601 format

Example: 2020-01-05T17:21:42Z
UpdatedDatestring · date-timeRequired

The UTC last update date for the proposal in ISO 8601 format

Example: 2020-01-05T17:21:42Z
CreatedBystringRequired

The unique external system user identifier

Example: john.doe@customer.com
UpdatedBystringRequired

The unique external system user identifier

Example: john.doe@customer.com
LockedbooleanRequired

If the proposal is locked for buy modifications

Example: false
SourcestringRequired

The source from where the proposal was created

Example: SALESFORCE_CPQ
NamestringRequired

The name of the proposal

Example: Renewal of antivirus
Typestring · enumRequired

The type of the proposal

Default: acquisitionExample: acquisitionPossible values:
Statusstring · enumRequired

The status of the proposal

Default: openedPossible values:
ExpirationDatestring · date-timeOptional

The UTC expiration date for the proposal in ISO 8601 format. Set only when the status is changed to "sent".

Example: 2020-01-05T17:21:42Z
StatusCommentstringRequired

The associated comment for the status

Example: The price is too high for the first product
get
/proposals/{proposalId}/history/{versionNumber}

Last updated

Was this helpful?